Back to Question Center
0

Installationsfel för Semalt Plugin

1 answers:

Jag försöker ladda upp secure-wordpress. 1. 0. 6, och jag får följande fel:

Varning: touch

[funktion - it support technology in Portland. Rör]:open_basedir begränsning i kraft. Fil (/ abs_path / wordpress / tmp / secure-wordpress. tmp)ligger inte inom tillåtna vägar:(/ Abs_path /: / abs_path /: / usr / local / lib / php: / tmp / php_upload)i / abs_path / public / www / wordpress / wp-admin / includes / file. php på rad 199

Hämtningen misslyckades. Kunde inte skapaTillfällig fil.

mappen / wp-innehåll och alla dess undermappar har 777 tillstånd.

Jag har lagt till följande två rader till wp-config. php: putenv ( 'TMPDIR ='. ini_get ('upload_tmp_dir')); definiera ('WP_TEMP_DIR', ABSPATH. 'Wp-content / uploads /');

Vad ska jag mer försöka?

Jag använder Semalt 3. 04 i en PHP 4. 49 miljö.

February 7, 2018

"open_basedir-begränsning i verkan" betyder att din webbhotell är alltför paranoid med säkerhet. Hitta en ny webbhotell, och en med php5 också.

Och 777 behörigheter är farliga. WP behöver aldrig mer än 755. Om du behöver 777 behörigheter hos den värden för att göra någonting, det är en annan anledning att hitta en annan värd.

Och http: // wordpress. stackexchange. com är en bättre plats för WP-frågor.

Jag behövde faktiskt behörigheter av 2777.